apiVersion: apps/v1
kind: Deployment
metadata:
  name: ftp
  labels:
    app: ftp
spec:
  selector:
    matchLabels:
      app: ftp
  replicas: 1
  template:
    metadata:
      labels:
        app: ftp
    spec:
      containers:
      - name: ftp
        image: fauria/vsftpd
        ports:
        - containerPort: 21
        env:
        - name: FTP_USER
          valueFrom:
            secretKeyRef:
              name: ftp-secret
              key: username
        - name: FTP_PASS
          valueFrom:
            secretKeyRef:
              name: ftp-secret
              key: password
        - name: LOG_STDOUT
          value: '1'
